
#import "ViewController.h"
@interface SimpleData:NSObject
@property (nonatomic, retain) NSString* stringValue;
@property (assign)int intValue;

-(id)initWithData:(int)v1 andName:(NSString*)v2;
@end
@implementation SimpleData

-(id)initWithData:(int)v1 andName:(NSString *)v2
{
    self=[super init];
    if (self)
    {
        self.stringValue=v2;
        self.intValue=v1;
    }
    return self;
}

@end




@interface ViewController ()
{
    IGChartView* _chartView;
}
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    _chartView = [[IGChartView alloc]initWithFrame:CGRectMake(0,0, self.view.frame.size.width, self.view.frame.size.height)];
    _chartView.autoresizingMask = UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth;
    [self.view addSubview:_chartView];
    
    NSMutableArray* dataArray1 = [[NSMutableArray alloc]init];
    [dataArray1 addObject:[[SimpleData alloc]initWithData:4 andName:@"Data1"]];
    [dataArray1 addObject:[[SimpleData alloc]initWithData:7 andName:@"Data2"]];
    [dataArray1 addObject:[[SimpleData alloc]initWithData:2 andName:@"Data3"]];
    
    NSMutableArray* dataArray2 = [[NSMutableArray alloc]init];
    [dataArray2 addObject:[[SimpleData alloc]initWithData:4 andName:@"Data1"]];
    [dataArray2 addObject:[[SimpleData alloc]initWithData:7 andName:@"Data2"]];
    [dataArray2 addObject:[[SimpleData alloc]initWithData:2 andName:@"Data3"]];
    
    NSMutableArray* dataArray3 = [[NSMutableArray alloc]init];
    [dataArray3 addObject:[[SimpleData alloc]initWithData:4 andName:@"Data1"]];
    [dataArray3 addObject:[[SimpleData alloc]initWithData:7 andName:@"Data2"]];
    [dataArray3 addObject:[[SimpleData alloc]initWithData:2 andName:@"Data3"]];
    
    IGCategorySeriesDataSourceHelper* source1 = [[IGCategorySeriesDataSourceHelper alloc]initWithData:dataArray1 andValuePath:@"intValue"];
    
    IGCategorySeriesDataSourceHelper* source2 = [[IGCategorySeriesDataSourceHelper alloc]initWithData:dataArray2 andValuePath:@"intValue"];
    IGCategorySeriesDataSourceHelper* source3 = [[IGCategorySeriesDataSourceHelper alloc]initWithData:dataArray3 andValuePath:@"intValue"];
    
    
    [_chartView addSeriesForType:[IGColumnSeries class] usingKey:@"Series 1" withDataSource:source1 firstAxisKey:@"commonX" secondAxisKey:@"commonY"];
    [_chartView addSeriesForType:[IGColumnSeries class] usingKey:@"Series 2" withDataSource:source2 firstAxisKey:@"commonX" secondAxisKey:@"commonY"];
    [_chartView addSeriesForType:[IGColumnSeries class] usingKey:@"Series 3" withDataSource:source3 firstAxisKey:@"commonX" secondAxisKey:@"commonY"];
    
    
    IGNumericYAxis* yAxis = _chartView.axes[1];
    yAxis.minimum = 0;
    yAxis.maximum = 10;
    
    /*
    IGLegend* legendOriginal = [[IGLegend alloc]initWithFrame:CGRectMake(0, 0, 200, 40)];
    _chartView.legend = legendOriginal;
    legendOriginal.orientation = IGOrientationHorizontal;
    [self.view addSubview:legendOriginal];
     */

    SimpleCustomLegend* customLegend = [[SimpleCustomLegend alloc]initWithFrame:CGRectMake(0, 0, 200, 40)];
    _chartView.legend= customLegend;
    customLegend.orientation = IGOrientationHorizontal;
    [self.view addSubview:customLegend];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
